## org.codehaus.groovy.grails.support
Class StaticResourceLoaderTests

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.codehaus.groovy.grails.support.StaticResourceLoaderTests

All Implemented Interfaces:
  junit.framework.Test

    public class StaticResourceLoaderTests

extends junit.framework.TestCase

Tests for the StaticResourceLoader class

Since:
  0.4

  Created: Feb 26, 2007 Time: 3:49:27 PM
Author:
  Graeme Rocher

Constructor Summary
`StaticResourceLoaderTests()`

Method Summary
`void` `testGetResource()`
`void` `testIllegalState()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticResourceLoaderTests

    public StaticResourceLoaderTests()

Method Detail

### testGetResource

    public void testGetResource()
                         throws Exception

  Throws:
    `Exception`

### testIllegalState

    public void testIllegalState()

Copyright (c) 2005-2009 The Grails project